/*
 *	Copyright (C) 2008, 2009. PARP Research Group.
 *	<http://perception.inf.um.es>
 *	University of Murcia, Spain.
 *
 *	This file is part of the QVision library.
 *
 *	QVision is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU Lesser General Public License as
 *	published by the Free Software Foundation, version 3 of the License.
 *
 *	QVision is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU Lesser General Public License for more details.
 *
 *	You should have received a copy of the GNU Lesser General Public
 *	License along with QVision. If not, see <http://www.gnu.org/licenses/>.
 */

/*!
@file designer.cpp
@ingroup ExamplePrograms
@brief Example usage for the Designer User Interface

The Designer User Interface allows the user to dynamically modify the worker and linking structure of a QVision application, adding new processing nodes to its structure, deleting them, or creating new data connections between them.

@section Usage Usage of the program.
Once QVision has been correctly installed in your system, compile using the <i>qmake</i> and <i>make</i> tools:
@code # qmake; make @endcode
Execute the application with the following line:
@code ./designer @endcode
For example:

See section @ref QVDesignerGUI for further info about the Designer Interface.

@author PARP Research Group. University of Murcia, Spain.
*/

#include <QVDesignerGUI>
#include <QVApplication>

int main(int argc, char *argv[])
	{
	QVApplication app(argc, argv, "Example application for QVision." );
	
	QVDesignerGUI interface;

	return app.exec();
	}

